Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516420 - Webadmin: host upgrade failed with "cluster doesn't support stopping gluster services."
Summary: Webadmin: host upgrade failed with "cluster doesn't support stopping gluster ...
Keywords:
Status: CLOSED DUPLICATE of bug 1511816
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Infra
Version: 4.1.7.6
Hardware: Unspecified
OS: Unspecified
unspecified
urgent vote
Target Milestone: ---
: ---
Assignee: Martin Perina
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-22 15:18 UTC by Nisim Simsolo
Modified: 2017-11-23 08:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-23 08:35:48 UTC
oVirt Team: Infra


Attachments (Terms of Use)
engine log (deleted)
2017-11-22 15:20 UTC, Nisim Simsolo
no flags Details
vdsm.log (deleted)
2017-11-22 15:21 UTC, Nisim Simsolo
no flags Details

Description Nisim Simsolo 2017-11-22 15:18:30 UTC
Description of problem:
After upgrading RHV engine 4.1.7-7 to 4.1.8.1, it is impossible to upgrade the host from webadmin -> hosts tab -> installation -> upgrade.
The action failed with webadmin error: 
"Cannot upgrade Host. The selected cluster doesn't support stopping gluster services."

There is no gluster configured on my setup nor any configuration related to gluster.

Version-Release number of selected component (if applicable):
ovirt-engine-4.1.8-0.1.el7
vdsm-4.19.36-1.el7ev.x86_64
libvirt-client-3.2.0-14.el7_4.3.x86_64
qemu-kvm-rhev-2.9.0-16.el7_4.8.x86_64
sanlock-3.5.0-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Upgrade ovirt-engine to 4.1.8-1
2. Browse webadmin -> hosts tab -> select host -> installation -> upgrade
3.

Actual results:
Upgrade failed with error message:
"Cannot upgrade Host. The selected cluster doesn't support stopping gluster services."

Expected results:
Upgrade should not fail, especially when there is no gluster configured on related cluster.

Additional info:
engine.log and vdsm.log attached

Comment 1 Nisim Simsolo 2017-11-22 15:20:32 UTC
Created attachment 1357601 [details]
engine log

Comment 2 Nisim Simsolo 2017-11-22 15:21:28 UTC
Created attachment 1357602 [details]
vdsm.log

Comment 3 Martin Perina 2017-11-23 08:35:48 UTC

*** This bug has been marked as a duplicate of bug 1511816 ***


Note You need to log in before you can comment on or make changes to this bug.